@import url("https://fonts.googleapis.com/css2?family=Jost:wght@400;500;700&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Jost", sans-serif;
    overflow-x: hidden;
}

html,
body {
    overflow-x: hidden;
}

/* !Global styles */
h2 {
    font-size: 2em;
}

h3.subheading {
    font-size: 1.25rem;
    margin-bottom: 16px;
    font-weight: 400;
    color: red;
}

h4.image-heading {
    margin-top: 8px;
    font-size: 20px;
}

h4.card-heading,
.feature-item > h4 {
    font-size: 20px;
}

.feature-item > p {
    margin-top: 20px;
}

/* .padding-tb-norm {
    margin-top: 20px;
} */

.padding-tb {
    padding: 100px 0px !important;
    background-image: url("../images/Group\ 34.png");
    background-repeat: no-repeat;
    background-origin: border-box;
    background-position: right;
    background-size: auto 75%;
}

.padding-tb-nrom {
    padding: 100px 0px !important;
}
.snackbar {
    background-color: #fff;
    color: #ff3737;
    padding: 10px 20px;
    text-align: right;
    width: 100%;
    max-width: 1200px;
    margin: 0px auto;
}

.wrapper {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    width: 100%;
}

.snackbar a {
    color: #ff3737;
    text-decoration: none;
}
h1 {
    font-size: 2.75em;
}
.contact-list {
    list-style-type: none;
    font-size: 1.25em;
    margin-bottom: 50px;
}
.contact-list li {
    display: flex;
    gap: 10px;
    margin: 10px 0px;
    align-items: center;
}
.snackbar a:hover {
    text-decoration: underline;
}
.subheading {
    color: #ff3737;
    font-size: 1.3em;
}
header {
    background-image: url("../images/LicencedPhotos/revolt-batteries-industrial.webp");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: #fff;
    padding: 100px 20px;
    text-align: left;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 90vh;
}

header h1 {
    font-size: 3.5em;
    margin-bottom: 20px;
    width: 70%;
}

header p {
    font-size: 1.5em;
    margin-bottom: 40px;
    max-width: 600px;
}

header .cta {
    display: flex;
    gap: 20px;
}

header.sub {
    height: 275px;
    align-items: flex-end;
    padding: 0px 0px 15px 0px !important;
    justify-content: unset;
    flex-direction: unset;
}

header.sub h1 {
    width: 100%;
    margin: 0px;
    font-size: 3em;
}

.breadcrumbs {
    padding: 10px 0px;
    color: white;
    text-align: center;
}
.breadcrumbs a {
    color: rgb(255, 74, 74);
    text-decoration: underline;
}
nav {
    width: 100%;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0;
    position: fixed;
    top: 35px;
    /* was 35px */
    left: 0;
    right: 0;
    transition: transform 0.3s ease-in-out, background-color 0.3s,
        top 0.3s ease-in-out;
    z-index: 1;
    background-color: transparent;
    /* Initial background color */
    max-width: 1200px;
    margin: auto;
}

nav.scrolled {
    top: 0px;
    background-color: white;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    height: 60px;
    padding: 20px;
    margin-top: 10px;
    border-radius: 5px;
}

nav.scrolled .logo {
    width: 170px;
    margin-top: 0px !important;
    border-radius: 0px !important;
    padding: 0px !important;
    /* Adjust the width to fit into the bar */
}

nav.hide {
    transform: translateY(-250%);
}

nav .logo {
    width: 350px;
    /* Adjust the width to fit into the bar */
    transition: width 0.3s;
    /* Smooth transition for resizing */
    margin-top: 35px;
    background-color: white;
    padding: 10px 20px 10px 10px;
    border-radius: 10px;
}

nav .logo img {
    width: 100%;
}

nav .nav ul {
    display: flex;
    text-decoration: none;
    list-style-type: none;
    gap: 10px;
}

nav .nav ul li a {
    display: inline-block;
    color: #fff;
    padding: 5px 0;
    margin: 0 10px;
    border: 3px solid transparent;
    transition: 0.2s;
    text-decoration: none;
}

nav.scrolled .nav ul li a {
    color: #333;
    /* Change the link color when scrolled */
}

nav .nav ul li a:hover,
nav .nav ul li a.active {
    border-bottom-color: #ff3737;
}

.hamburger {
    cursor: pointer;
    display: none;
}

.hamburger div {
    width: 30px;
    height: 3px;
    margin: 5px 0;
    background: #000;
}

.btn-pri {
    display: flex;
    padding: 15px 25px;
    background-color: #ff0000;
    color: white;
    text-decoration: none;
    border-radius: 3px;
    text-align: center;
    border: 2px solid #ff0000;
    align-items: center;
    gap: 10px;
    transition: all ease-in-out 0.3s;
}

.btn-sec {
    display: flex;
    padding: 15px 25px;
    background-color: #ffefef;
    color: white;
    text-decoration: none;
    border-radius: 3px;
    text-align: center;
    color: #ff0000;
    border: 2px solid #ff0000;
    align-items: center;
    gap: 10px;
    transition: all ease-in-out 0.3s;
}

.btn-pri:hover {
    background-color: #b62020;
}

.btn-sec:hover {
    background-color: #ffa7a7;
}

p {
    line-height: 1.25em;
    font-size: 1.1em;
}

.why-choose {
    width: 100%;
    display: flex;
    gap: 0px;
    justify-content: space-between;
}

.why-choose .left {
    flex-basis: 50%;
    padding: 100px 20px;
}

.why-choose .left span {
    color: red;
    font-size: 1.5em;
}
.alert {
    padding: 20px;
    margin-bottom: 15px;
    position: fixed;
    left: 50%;
    bottom: -100px;
    transform: translateX(-50%);
    transition: bottom 0.5s ease-in-out;
    z-index: 1000;
    width: 80%;
    max-width: 600px;
    text-align: center;
    border-radius: 5px;
}
.alert-success {
    background-color: #4caf50;
    color: white;
}
.alert-error {
    background-color: #f44336;
    color: white;
}
.show {
    bottom: 20px;
}

.why-choose .right {
    flex-basis: 49%;
    overflow: hidden;
    position: relative;
}

.why-choose .right img {
    width: 100%;
    height: auto;
    position: absolute;
    top: 0px;
    left: 0;
}

@media only screen and (max-width: 700px) {
    .wrapper {
        padding: 0px 20px;
    }

    .why-choose {
        flex-direction: column;
    }
}

/* services section */
.services {
    padding: 100px 0;
    background-color: #f9f9f9;
}

/* select the first 2 h2's that are a child pf the .box container */
.trio-boxes-container h2 {
    margin-bottom: 20px;
}

.trio-boxes-container {
    display: flex;
    gap: 20px;
    justify-content: space-between;
}

.link-to-skate {
    display: inline-block;
    margin-top: 20px;
}

.trio-boxes-container .box {
    flex-basis: 30%;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    text-align: left;
    border-left: 3px solid #ff3737;
}

/* testimonials */

.testimonials h2 {
    margin-bottom: 20px;
}

.testimonial-card {
    background: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
    height: 400px;
    position: relative;
}

.tc-upper {
    display: flex;
    justify-content: space-between;
}

.testimonial-card .p {
    color: #333;
    text-align: left;
    line-height: 1.3em;
    position: inherit;
    padding-bottom: 20px;
    top: 40px;
    width: 100%;
    border-bottom: 1px solid grey;
}

.auth-and-sub-cont {
    position: absolute;
    bottom: 20px;
}

.testimonial-auth {
    color: #333;
    text-align: left;
    line-height: 1.3em;
}

.testimonial-sub {
    color: #333;
    text-align: left;
    line-height: 1.3em;
    font-size: 1em;
}

.cta_main {
    padding: 100px 20px;
}
.intert-col {
    background-color: #960000;
    color: white;
}
.cta_main h2 {
    font-size: 2em;
    text-align: center;
    margin-bottom: 10px;
}

.cta_main p {
    margin-bottom: 20px;
    text-align: center;
}

.btn-row {
    display: flex;
    justify-content: center;
    gap: 25px;
}

.cta-btn-primary {
    display: flex;
    padding: 10px;
    background-color: #ff0000;
    color: white;
    text-decoration: none;
    border-radius: 3px;
    width: 40%;
    text-align: center;
    border: 2px solid #ff0000;
    transition: 0.3s ease-in-out all;
    align-items: center;
    gap: 10px;
    justify-content: center;
}

.cta-btn-primary:hover {
    background-color: #b62020;
}

.cta-btn-secondary {
    display: flex;
    padding: 10px;
    background-color: #ffefef;
    text-decoration: none;
    border-radius: 3px;
    width: 40%;
    text-align: center;
    color: #ff0000;
    border: 2px solid #ff0000;
    transition: 0.3s ease-in-out all;
    align-items: center;
    gap: 10px;
    justify-content: center;
}

.cta-btn-secondary:hover {
    background-color: #ffa7a7;
}

.testimonials {
    background-color: #ffa7a7;
    padding: 100px 0px;
}

footer {
    background-color: #202020;
    color: #fff;
    padding: 100px 0px;
    font-size: 1.15em;
}

.footer-trio {
    display: flex;
    justify-content: space-between;
}

.footer-box {
    flex-basis: 32%;
}

.footer-box p {
    font-size: 0.75em;
    margin-bottom: 20px;
}

.footer-box ul {
    list-style: none;
    margin-top: 10px;
}

.footer-box ul li {
    margin: 10px 0px;
}

.footer-box .divi {
    height: 4px;
    background-color: red;
    width: 55px;
    margin-top: 10px;
    border-radius: 10px;
}

@media screen and (max-width: 700px) {
    .footer-trio {
        flex-direction: column;
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    .footer-box:nth-child(2) {
        margin-top: 50px;
        margin-bottom: 50px;
    }
}

/* Form Controls */
form {
}
.row {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

.col {
    flex-basis: 50%;
}

form label {
    display: block;
    margin-bottom: 5px;
    font-size: 1.25em;
}
form input {
    width: 100%;
    padding: 20px;
    margin-bottom: 10px;
    background-color: #f9f9f9;
    border: 0px;
    font-size: 1.15em;
}

form textarea {
    width: 100%;
    padding: 20px;
    margin-bottom: 10px;
    background-color: #f9f9f9;
    border: 0px;
    font-size: 1.15em;
}

form button {
    width: 100%;
    padding: 20px;
    cursor: pointer;
    border: 0px;
    font-size: 1.15em;
    background-color: #ff0000;
    color: white;
    transition: all 0.3s ease-in-out;
}
form button:hover {
    background-color: #b62020;
}

.bg-skate {
    background-image: url("../images/skate-services-background.png");
    background-color: rgb(241, 241, 241);
    background-repeat: no-repeat;
}

.flex-skate {
    display: flex;
    gap: 20px;
    justify-content: space-between;
}
.flex-skate.right {
    flex-grow: 1;
}
.right {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* figure out a way to do this one with css grid */

/* 
create a grid with 4 columns
we set each column to 
*/
.s-grid-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    text-align: center;
}

.btn-fit {
    transform: translateY(-20px);
    width: fit-content;
    margin-top: 20px;
}

.flex-skate img {
    height: 500px;
    width: 300px;
    border-radius: 5px;
    object-fit: cover;
}

@media (max-width: 800px) {
    h2 {
        font-size: 24px;
    }

    .right > p {
        font-size: 16px;
        padding-right: 20px;
    }

    .flex-skate {
        flex-direction: column;
        padding: 20px;
    }
    .flex-skate img:first-child {
        width: 100%;
        height: auto;
    }
    .s-grid-container img {
        max-width: 32px;
    }

    .right {
        padding: 20px;
    }

    .btn-fit {
        transform: unset;
    }

    .s-grid-container {
        margin-top: 28px;
    }
}

.mt-40 {
    margin-top: 40px;
    display: block;
}

h2 span {
    color: #ff3737;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
    gap: 16px;
    overflow: hidden;
}

.grid-item {
    border: 1px solid #ccc;
    padding: 16px;
    text-align: center;
    color: black;
    text-decoration: none;
}

.image-container {
    width: 100%;
    padding-top: 100%; /* 1:1 Aspect Ratio */
    position: relative;
    overflow: hidden;
}

.image-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ensures the image covers the container */
    transition: transform 0.3s ease;
}
.contact-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 25px;
}
.grid-item h3 {
    margin: 0;
    font-size: 1.2em;
    margin-top: 8px;
}

@media (max-width: 500px) {
    .grid-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 768px) {
    .grid-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

.accordion {
    width: 100%;
    margin: 20px auto;
}

.accordion-item {
    margin-bottom: 20px;
    border-radius: 5px;
}

.accordion-item:last-child {
    border-bottom: none;
}

.accordion-header {
    width: 100%;
    padding: 15px;
    text-align: left;
    background-color: #f9f9f9;
    border: none;
    outline: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-size: 1.2em;
    color: #000;
}

.accordion-header:hover {
    background-color: #ddd;
}

.accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    background-color: white;
    padding: 0 15px;
}

.accordion-content p {
    margin: 15px 0;
}

.radio-buttons {
    display: flex;
    justify-content: center;
    gap: 20px;
}

input[type="radio"] {
    display: none;
}

.radio-label {
    display: inline-block;
    padding: 18px;
    border-radius: 0px;
    background-color: #f0f0f0;
    color: #ccc;
    font-size: 1.15em;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    width: 100%;
    text-align: center;
    margin-bottom: 10px;
}

input[type="radio"]:checked + .radio-label {
    background-color: #ff4d4d;
    color: white;
}

input[type="radio"]:checked
    + .radio-label
    + input[type="radio"]
    + .radio-label {
    background-color: #f0f0f0;
    color: #ccc;
}

.dual-col {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin: 0 auto;
}
form select {
    width: 100%;
    padding: 20px;
    margin-bottom: 10px;
    background-color: #f9f9f9;
    border: 0px;
    font-size: 1.15em;
}
@media (max-width: 768px) {
    .dual-col {
        grid-template-columns: 1fr;
    }
}

.col {
    display: grid;
    gap: 20px;
}

.form-group {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.form-group .btn-pri {
    display: block;
    padding: 20px;
    margin-bottom: 10px;
    font-size: 1.15em;
    background-color: #ff0000;
    color: white;
    text-decoration: none;
    border-radius: 0px;
    text-align: center;
    border: 0px solid #ff0000;
}

.submitBnt {
    width: 100%;
    margin-top: 25px;
    margin-bottom: 25px;
}

.contact-section {
    width: 100%;
    display: flex;
    gap: 0px;
    justify-content: space-between;
    background-color: #f9f9f9;
}

.contact-section .left {
    flex-basis: 60%;
    padding: 20px 0px;
}

.contact-section .left span {
    color: red;
    font-size: 1.5em;
}

.contact-section .left h2 {
    font-size: 2em;
    margin: 10px 0 15px;
}

.contact-section .left h3 {
    margin: 10px 0px;
    font-size: 1.5em;
}

.contact-section .right {
    flex-basis: 39%;
}

.contact-section .right img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.contact-section input,
.contact-section select,
.contact-section textarea {
    background-color: white !important;
    font-family: "Jost", sans-serif;
}

#battery-info-fields {
    overflow: hidden;
    max-height: 0;
    opacity: 0;
    transition: max-height 0.5s ease, opacity 0.5s ease;
}

#battery-info-fields p {
    margin-top: 20px;
    margin-bottom: 10px;
}

.faq {
    padding: 100px 20px;
}

.gray-back {
    background-color: #f9f9f9;
    margin-bottom: 100px;
}
.gril-col-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    margin-bottom: 100px;
}
.gril-col-2 .box {
    background-color: #fcfcfc;
    border-left: 5px solid #ff3737;
    box-sizing: border-box;
    padding-left: 15px;
}

.gril-col-2 .box h3 {
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 30px;
    font-weight: 400;
}

.gril-col-2 .box p {
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5em;
    padding-bottom: 10px;
}

.points {
    list-style-type: none;
}
.points li {
    margin-bottom: 16px;
}

.hover-text {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.7);
    color: #fff;
    text-align: center;
    padding: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
}
.grid-item:hover .hover-text {
    opacity: 1;
}
.grid-item:hover .image-container img {
    transform: scale(1.1);
}

.s-grid-item {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.s-grid-item img {
    width: 24px; /* Adjust size as needed */
    height: 24px; /* Adjust size as needed */
    margin-bottom: 10px;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.mobile-snack {
    display: none;
}

@media (max-width: 700px) {
    .mobile-snack {
        display: flex;
        align-items: center;
        gap: 10px;
        font-size: 1.25em;
        text-align: center;
        width: 100%;
        justify-content: center;
    }
    /*first element in snackbar*/
    .snackbar a:first-child {
        display: none;
    }
}

@media only screen and (max-width: 900px) {
    nav {
        padding: 0 30px;
    }

    nav .logo {
        width: 250px;
    }
}

@media only screen and (max-width: 768px) {
    header h1 {
        font-size: 2.6em;
        width: 100%;
        margin-top: 50px;
    }
    header p {
        font-size: 1.25em;
    }
}
@media only screen and (max-width: 700px) {
    header .cta {
        flex-direction: column;
    }

    nav.scrolled .hamburger div {
        background-color: black;
    }

    .trio-boxes-container {
        flex-direction: column;
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    .btn-row {
        flex-direction: column;
    }

    .btn-row .cta-btn-primary,
    .btn-row .cta-btn-secondary {
        width: 100%;
    }

    .hamburger {
        display: block;
    }

    .hamburger div {
        background: #fff;
    }

    .testimonials {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    nav {
        padding: 0 10px;
        top: 75px;
    }

    nav .nav {
        position: absolute;
        left: -100%;
        top: 95px;
        width: 100%;
        background: #fff;
        padding: 10px;
        transition: 0.3s;
        z-index: 1;
    }

    #nav_check:checked ~ .nav {
        left: 0;

        #nav_check:checked ~ .nav {
            left: 0;
            width: 90%;
            border-top-right-radius: 10px;
            border-bottom-right-radius: 10px;
        }
    }

    nav .nav ul {
        display: block;
        height: 60vh;
    }

    nav .nav ul li {
        margin: 10px 0;
    }

    nav .nav ul li a {
        color: #333;
        margin: 5px 0;
        width: max-content;
    }
    header {
        height: unset;
    }
}
.contact-row {
    gap: 25px;
}
.contact-row .cta-btn-secondary,
.contact-row .cta-btn-primary {
    width: 100%;
}
@media only screen and (max-width: 700px) {
    header h1 {
        font-size: 2.2em;
        width: 100%;
    }
    header p {
        font-size: 1.15em;
    }

    nav.scrolled {
        margin-top: 0px;
        border-radius: 0px;
    }
    header.sub {
        height: 260px;
    }
    header.sub h1 {
        font-size: 2.2em;
    }

    .padding-tb-nrom {
        padding: 50px 20px !important;
    }
    .faq {
        padding: 50px 0px;
    }

    .contact-section {
        flex-direction: column;
    }
    .contact-section .left {
        padding-right: 20px;
    }
}

@media only screen and (max-width: 500px) {
    .gril-col-2 {
        grid-template-columns: 1fr;
    }
    .padding-tb {
        padding: 50px 20px !important;
        background-size: auto 30%;
    }
    .row {
        flex-direction: column;
    }
    .s-grid-container {
        grid-template-columns: 1fr 1fr;
    }
}

@media only screen and (max-width: 425px) {
    .contact-row {
        flex-direction: column;
    }
}

.footer-box ul li {
    display: flex;
    gap: 15px;
}
.footer-box ul li a {
    color: white;
    text-decoration: none;
    display: contents;
}

.split {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.col,
.col-2 {
    flex: 1 1 100%;
}

/* Responsive styles */
@media screen and (min-width: 768px) {
    .split {
        flex-wrap: nowrap;
    }

    .col-2 {
        flex: 2;
    }

    .col {
        flex: 1;
    }
}

.dropdown {
    position: relative;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 400px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 5px;
}

.dropdown:hover .dropdown-content {
    display: flex;
}

.dropdown-column {
    flex: 1;
    padding: 10px;
}

.dropdown-column h3 {
    margin-top: 0;
    font-weight: 500;
    border-bottom: 1px solid;
    margin-bottom: 10px;
}

.dropdown-column a {
    color: black !important;
    padding: 12px 16px;
    text-decoration: none;
    display: block !important;
    margin: 0px !important;
    font-size: 12px;
    padding: 0px !important;
}

.dropdown-column a:hover {
    background-color: #f1f1f1;
}
.dropdown-column p {
    font-size: 12px;
    margin-bottom: 5px;
}
